org.wildfly.swarm.swagger

## Enum SwaggerConfig.Key

- java.lang.Object
- - java.lang.Enum<SwaggerConfig.Key>
  - - org.wildfly.swarm.swagger.SwaggerConfig.Key

- All Implemented Interfaces:
    Serializable, Comparable<SwaggerConfig.Key>
  Enclosing class:
    SwaggerConfig

      public static enum SwaggerConfig.Key
      extends Enum<SwaggerConfig.Key>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTACT`
    `DESCRIPTION`
    `HOST`
    `LICENSE`
    `LICENSE_URL`
    `PACKAGES`
    `PRETTY_PRINT`
    `ROOT`
    `SCHEMES`
    `TERMS_OF_SERVICE_URL`
    `TITLE`
    `VERSION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SwaggerConfig.Key` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SwaggerConfig.Key[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TITLE

          public static final SwaggerConfig.Key TITLE

    - #### PACKAGES

          public static final SwaggerConfig.Key PACKAGES

    - #### DESCRIPTION

          public static final SwaggerConfig.Key DESCRIPTION

    - #### TERMS_OF_SERVICE_URL

          public static final SwaggerConfig.Key TERMS_OF_SERVICE_URL

    - #### CONTACT

          public static final SwaggerConfig.Key CONTACT

    - #### LICENSE

          public static final SwaggerConfig.Key LICENSE

    - #### LICENSE_URL

          public static final SwaggerConfig.Key LICENSE_URL

    - #### VERSION

          public static final SwaggerConfig.Key VERSION

    - #### SCHEMES

          public static final SwaggerConfig.Key SCHEMES

    - #### HOST

          public static final SwaggerConfig.Key HOST

    - #### ROOT

          public static final SwaggerConfig.Key ROOT

    - #### PRETTY_PRINT

          public static final SwaggerConfig.Key PRETTY_PRINT

  - ### Method Detail

    - #### values

          public static SwaggerConfig.Key[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwaggerConfig.Key c : SwaggerConfig.Key.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwaggerConfig.Key valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 JBoss by Red Hat. All rights reserved.